<?php
	include_once("../conexao.php");
	include_once("../componentes/cieloediheader.php");
	include_once("../componentes/xuxu.php");
    include('Net/SFTP.php');
    
	$array = array(
		"titulo"=>"Estou indo buscar os arquivos do dia " . date("d/m/y") . " no SFTP.",
		"idacaotipo" => 6,
		"idusuarioregistro" => 100009
	);
	$xuxucomp = new Xuxu();
	$xuxucomp->EnviarAcao($array);
	
	$cehcomp = new CieloEdiHeader();
	$cehcomp->link = $link;
	$cehcomp->idcieloediheader = "";
	
    $host = "31.97.22.230";
    $usuario = "cielo";
    $senha = 'ua7kn$S6{X(x$sC-';
    $sftp = new Net_SFTP($host);

    if (!$sftp->login($usuario, $senha)) {
        exit('Login Failed');
    }

    $pastaoutbound = $sftp->rawlist('./www/');

    foreach($pastaoutbound as $arquivospasta)
    {
		$arquivo = $arquivospasta["filename"];
		$arraytipoarquivo = explode("_",$arquivo);
		if(count($arraytipoarquivo) > 1)
		{
			$tipoarquivo = $arraytipoarquivo[0];
			$tipoarquivo2 = $arraytipoarquivo[1];
			if($tipoarquivo == "CIELO03D" || $tipoarquivo == "CIELO04D" || $tipoarquivo2 == "CIELO03D" || $tipoarquivo2 == "CIELO04D")
			{
				$caminhoftp = "./www/" . $arquivo;
				$cehcomp->arquivo = $arquivo;
				$ehalistar = $cehcomp->GetAll();
				$existe = "N";
				while($deha = mysqli_fetch_array($ehalistar,MYSQLI_ASSOC))
				{
					$existe = "S";
				}
				if($existe == "N")
				{
					$caminhocopiar = "../anexos/cielo/aguardando/" . $arquivo;
					$sftp->get($caminhoftp, $caminhocopiar);
					$sftp->delete($caminhoftp);					
				}
				
			}
		}
    }
?>